my $OS = $Foswiki::cfg{OS} || '';
$Foswiki::cfg{DefaultUrlHost} = 'http://localhost';
$Foswiki::cfg{PermittedRedirectHostUrls} = '';
$Foswiki::cfg{ScriptUrlPath} = '/foswiki/bin';
$Foswiki::cfg{ScriptDir} = '/var/lib/foswiki/bin';
$Foswiki::cfg{PubUrlPath} = '/foswiki/pub';
$Foswiki::cfg{PubDir} = '/var/lib/foswiki/pub';
$Foswiki::cfg{DataDir} = '/var/lib/foswiki/data';
$Foswiki::cfg{ToolsDir} = '/var/lib/foswiki/tools';
$Foswiki::cfg{TemplateDir} = '/var/lib/foswiki/templates';
$Foswiki::cfg{LocalesDir} = '/var/lib/foswiki/locale';
$Foswiki::cfg{WorkingDir} = '/var/lib/foswiki/working';
$Foswiki::cfg{ScriptSuffix} = '';
$Foswiki::cfg{UseClientSessions} = 1;
$Foswiki::cfg{Sessions}{ExpireAfter} = 21600;
$Foswiki::cfg{Sessions}{ExpireCookiesAfter} = 0;
$Foswiki::cfg{Sessions}{IDsInURLs} = 0;
$Foswiki::cfg{Sessions}{UseIPMatching} = 0;
$Foswiki::cfg{Sessions}{MapIP2SID} = 0;
$Foswiki::cfg{Sessions}{CookieRealm} = '';
$Foswiki::cfg{Validation}{Method} = 'strikeone';
$Foswiki::cfg{Validation}{ValidForTime} = 3600;
$Foswiki::cfg{Validation}{MaxKeysPerSession} = 1000;
$Foswiki::cfg{Validation}{ExpireKeyOnUse} = 1;
$Foswiki::cfg{LoginManager} = 'Foswiki::LoginManager::TemplateLogin';
$Foswiki::cfg{AuthScripts} = 'attach,edit,manage,rename,save,upload,viewauth,rdiffauth,rest';
$Foswiki::cfg{TemplateLogin}{PreventBrowserRememberingPassword} = 0;
$Foswiki::cfg{LoginNameFilterIn} = qr/^[^\s\*?~^\$@%`"'&;|<>\x00-\x1f]+$/;
$Foswiki::cfg{DefaultUserLogin} = 'guest';
$Foswiki::cfg{DefaultUserWikiName} = 'WikiGuest';
$Foswiki::cfg{AdminUserLogin} = 'admin';
$Foswiki::cfg{AdminUserWikiName} = 'AdminUser';
$Foswiki::cfg{SuperAdminGroup} = 'WikiAdminGroup';
$Foswiki::cfg{UsersTopicName} = 'WikiUsers';
$Foswiki::cfg{AuthRealm} = 'Enter your $Foswiki::cfg{SystemWebName}.LoginName. (Typically First name and last name, no space, no dots, capitalized, e.g. !JohnSmith, unless you chose otherwise). Visit $Foswiki::cfg{SystemWebName}.UserRegistration if you do not have one.';
$Foswiki::cfg{UserMappingManager} = 'Foswiki::Users::TopicUserMapping';
$Foswiki::cfg{PasswordManager} = 'Foswiki::Users::HtPasswdUser';
$Foswiki::cfg{MinPasswordLength} = 7;
$Foswiki::cfg{Htpasswd}{FileName} = '$Foswiki::cfg{DataDir}/.htpasswd';
$Foswiki::cfg{Htpasswd}{Encoding} = 'crypt';
$Foswiki::cfg{Register}{AllowLoginName} = $FALSE;
$Foswiki::cfg{Register}{EnableNewUserRegistration} = $TRUE;
$Foswiki::cfg{Register}{NeedVerification} = $FALSE;
$Foswiki::cfg{Register}{HidePasswd} = $TRUE;
$Foswiki::cfg{Register}{RegistrationAgentWikiName} = 'RegistrationAgent';
$Foswiki::cfg{Password} = '';
$Foswiki::cfg{SafeEnvPath} = '';
$Foswiki::cfg{INCLUDE}{AllowURLs} = $FALSE;
$Foswiki::cfg{AllowInlineScript} = $TRUE;
$Foswiki::cfg{RenderLoggedInButUnknownUsers} = $FALSE;
$Foswiki::cfg{OS} =
$Foswiki::cfg{DetailedOS} =
$Foswiki::cfg{DenyDotDotInclude} = $TRUE;
$Foswiki::cfg{UploadFilter} = qr/^(\.htaccess|.*\.(?i)(?:php[0-9s]?(\..*)?|[sp]htm[l]?(\..*)?|pl|py|cgi))$/;
$Foswiki::cfg{NameFilter} = qr/[\s\*?~^\$@%`"'&;|<>\[\]\x00-\x1f]/;
$Foswiki::cfg{ForceUnsafeRegexes} = $FALSE;
$Foswiki::cfg{GetScriptUrlFromCgi} = $FALSE;
$Foswiki::cfg{DrainStdin} = $FALSE;
$Foswiki::cfg{RemovePortNumber}  = $FALSE;
$Foswiki::cfg{AllowRedirectUrl}  = $FALSE;
$Foswiki::cfg{UsePathForRedirectCache} = $FALSE;
$Foswiki::cfg{AccessibleENV} = '^(HTTP_\w+|REMOTE_\w+|SERVER_\w+|REQUEST_\w+|MOD_PERL|FOSWIKI_ACTION)$';
$Foswiki::cfg{AntiSpam}{EmailPadding} = '';
$Foswiki::cfg{AntiSpam}{HideUserDetails} = $TRUE;
$Foswiki::cfg{AntiSpam}{RobotsAreWelcome} = $TRUE;
$Foswiki::cfg{Log}{Dir} = '/var/log/foswiki';
$Foswiki::cfg{Log}{Implementation} = 'Foswiki::Logger::PlainFile';
$Foswiki::cfg{Log}{Action} = {
view     => 1,
search   => 1,
changes  => 1,
rdiff    => 1,
edit     => 1,
save     => 1,
upload   => 1,
attach   => 1,
rename   => 1,
register => 1,
rest     => 1 };
$Foswiki::cfg{Stats}{TopViews} = 10;
$Foswiki::cfg{Stats}{TopContrib} = 10;
$Foswiki::cfg{Stats}{TopicName} = 'WebStatistics';
$Foswiki::cfg{UserInterfaceInternationalisation} = $FALSE;
$Foswiki::cfg{Languages}{bg}{Enabled} = 1;
$Foswiki::cfg{Languages}{cs}{Enabled} = 1;
$Foswiki::cfg{Languages}{da}{Enabled} = 1;
$Foswiki::cfg{Languages}{de}{Enabled} = 1;
$Foswiki::cfg{Languages}{es}{Enabled} = 1;
$Foswiki::cfg{Languages}{fr}{Enabled} = 1;
$Foswiki::cfg{Languages}{it}{Enabled} = 1;
$Foswiki::cfg{Languages}{ja}{Enabled} = 1;
$Foswiki::cfg{Languages}{nl}{Enabled} = 1;
$Foswiki::cfg{Languages}{pl}{Enabled} = 1;
$Foswiki::cfg{Languages}{pt}{Enabled} = 1;
$Foswiki::cfg{Languages}{ru}{Enabled} = 1;
$Foswiki::cfg{Languages}{sv}{Enabled} = 1;
$Foswiki::cfg{Languages}{'zh-cn'}{Enabled} = 1;
$Foswiki::cfg{Languages}{'zh-tw'}{Enabled} = 1;
$Foswiki::cfg{UseLocale} = $FALSE;
$Foswiki::cfg{Site}{Locale} = 'en_US.ISO-8859-1';
$Foswiki::cfg{Site}{CharSet} = undef;
$Foswiki::cfg{DisplayTimeValues} = 'gmtime';
$Foswiki::cfg{DefaultDateFormat} = '$day $month $year';
$Foswiki::cfg{Site}{LocaleRegexes} = $TRUE;
$Foswiki::cfg{UpperNational} = '';
$Foswiki::cfg{LowerNational} = '';
$Foswiki::cfg{PluralToSingular} = $TRUE;
$Foswiki::cfg{Store}{Implementation} = 'Foswiki::Store::RcsWrap';
$Foswiki::cfg{EnableHierarchicalWebs} = 1;
$Foswiki::cfg{Store}{RememberChangesFor} = 31 * 24 * 60 * 60;
$Foswiki::cfg{Store}{SearchAlgorithm} = 'Foswiki::Store::SearchAlgorithms::Forking';
$Foswiki::cfg{Store}{EgrepCmd} = '/bin/grep -E %CS{|-i}% %DET{|-l}% -H -- %TOKEN|U% %FILES|F%';
$Foswiki::cfg{Store}{FgrepCmd} = '/bin/grep -F %CS{|-i}% %DET{|-l}% -H -- %TOKEN|U% %FILES|F%';
$Foswiki::cfg{Store}{QueryAlgorithm} = 'Foswiki::Store::QueryAlgorithms::BruteForce';
$Foswiki::cfg{Store}{PrefsBackend} = 'Foswiki::Prefs::TopicRAM';
$Foswiki::cfg{RCS}{dirPermission}= 0755;
$Foswiki::cfg{RCS}{filePermission}= 0644;
$Foswiki::cfg{RCS}{AutoAttachPubFiles} = $FALSE;
$Foswiki::cfg{RCS}{ExtOption} = "";
$Foswiki::cfg{RCS}{asciiFileSuffixes} = qr/\.(txt|html|xml|pl)$/;
$Foswiki::cfg{RCS}{coMustCopy} = $FALSE;
$Foswiki::cfg{RCS}{initBinaryCmd} = "/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -i -t-none -kb %FILENAME|F%";
$Foswiki::cfg{RCS}{initTextCmd} = "/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -i -t-none -ko %FILENAME|F%";
$Foswiki::cfg{RCS}{tmpBinaryCmd}  = "/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -kb %FILENAME|F%";
$Foswiki::cfg{RCS}{ciCmd} =
"/usr/bin/ci $Foswiki::cfg{RCS}{ExtOption} -m%COMMENT|U% -t-none -w%USERNAME|S% -u %FILENAME|F%";
$Foswiki::cfg{RCS}{ciDateCmd} =
"/usr/bin/ci $Foswiki::cfg{RCS}{ExtOption} -m%COMMENT|U% -t-none -d%DATE|D% -u -w%USERNAME|S% %FILENAME|F%";
$Foswiki::cfg{RCS}{coCmd} =
"/usr/bin/co $Foswiki::cfg{RCS}{ExtOption} -p%REVISION|N% -ko %FILENAME|F%";
$Foswiki::cfg{RCS}{histCmd} =
"/usr/bin/rlog $Foswiki::cfg{RCS}{ExtOption} -h %FILENAME|F%";
$Foswiki::cfg{RCS}{infoCmd} =
"/usr/bin/rlog $Foswiki::cfg{RCS}{ExtOption} -r%REVISION|N% %FILENAME|F%";
$Foswiki::cfg{RCS}{rlogDateCmd} =
"/usr/bin/rlog $Foswiki::cfg{RCS}{ExtOption} -d%DATE|D% %FILENAME|F%";
$Foswiki::cfg{RCS}{diffCmd} =
"/usr/bin/rcsdiff $Foswiki::cfg{RCS}{ExtOption} -q -w -B -r%REVISION1|N% -r%REVISION2|N% -ko --unified=%CONTEXT|N% %FILENAME|F%";
$Foswiki::cfg{RCS}{lockCmd} =
"/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -l %FILENAME|F%";
$Foswiki::cfg{RCS}{unlockCmd} =
"/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -u %FILENAME|F%";
$Foswiki::cfg{RCS}{breaklockCmd} =
"/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -u -M %FILENAME|F%";
$Foswiki::cfg{RCS}{delRevCmd} =
"/usr/bin/rcs $Foswiki::cfg{RCS}{ExtOption} -o%REVISION|N% %FILENAME|F%";
$Foswiki::cfg{Cache}{Enabled} = $FALSE;
$Foswiki::cfg{Cache}{WebDependencies} = 'WebRss, WebAtom, WebTopicList, WebIndex, WebSearch, WebSearchAdvanced';
$Foswiki::cfg{Cache}{DependencyFilter} = '$Foswiki::cfg{SystemWebName}\..*|$Foswiki::cfg{TrashWebName}\..*|.*Template$|TWiki\..*';
$Foswiki::cfg{CacheManager} = 'Foswiki::Cache::BDB';
$Foswiki::cfg{MetaCacheManager} = 'Foswiki::Cache::BDB';
$Foswiki::cfg{Cache}{Compress} = $TRUE;
$Foswiki::cfg{Cache}{RootDir} = '$Foswiki::cfg{WorkingDir}/tmp/cache';
$Foswiki::cfg{Cache}{DBFile} = '$Foswiki::cfg{WorkingDir}/tmp/foswiki_db';
$Foswiki::cfg{Cache}{NameSpace} = '$Foswiki::cfg{DefaultUrlHost}';
$Foswiki::cfg{Cache}{MaxSize} = 1000;
$Foswiki::cfg{Cache}{Servers} = '127.0.0.1:11211';
$Foswiki::cfg{EnableEmail} = $TRUE;
$Foswiki::cfg{WebMasterEmail} = '';
$Foswiki::cfg{WebMasterName} = 'Wiki Administrator';
$Foswiki::cfg{MailProgram} = '/usr/sbin/sendmail -t -oi -oeq';
$Foswiki::cfg{SMTP}{MAILHOST} = '';
$Foswiki::cfg{SMTP}{SENDERHOST} = '';
$Foswiki::cfg{SMTP}{Username} = '';
$Foswiki::cfg{SMTP}{Password} = '';
$Foswiki::cfg{PROXY}{HOST} = '';
$Foswiki::cfg{PROXY}{PORT} = '';
$Foswiki::cfg{RemoveImgInMailnotify} = $TRUE;
$Foswiki::cfg{NotifyTopicName}     = 'WebNotify';
$Foswiki::cfg{SMTP}{Debug} = 0;
$Foswiki::cfg{SystemWebName} = 'System';
$Foswiki::cfg{TrashWebName} = 'Trash';
$Foswiki::cfg{SitePrefsTopicName} = 'DefaultPreferences';
$Foswiki::cfg{LocalSitePreferences} = 'Main.SitePreferences';
$Foswiki::cfg{HomeTopicName} = 'WebHome';
$Foswiki::cfg{WebPrefsTopicName} = 'WebPreferences';
$Foswiki::cfg{UsersWebName} = 'Main';
$Foswiki::cfg{TemplatePath} = '$Foswiki::cfg{TemplateDir}/$web/$name.$skin.tmpl, $Foswiki::cfg{TemplateDir}/$name.$skin.tmpl, $web.$skinSkin$nameTemplate, $Foswiki::cfg{SystemWebName}.$skinSkin$nameTemplate, $Foswiki::cfg{TemplateDir}/$web/$name.tmpl, $Foswiki::cfg{TemplateDir}/$name.tmpl, $web.$nameTemplate, $Foswiki::cfg{SystemWebName}.$nameTemplate';
$Foswiki::cfg{LinkProtocolPattern} = '(file|ftp|gopher|https|http|irc|mailto|news|nntp|telnet)';
$Foswiki::cfg{RequireCompatibleAnchors} = 0;
$Foswiki::cfg{NumberOfRevisions} = 4;
$Foswiki::cfg{ReplaceIfEditedAgainWithin} = 3600;
$Foswiki::cfg{LeaseLength} = 3600;
$Foswiki::cfg{LeaseLengthLessForceful} = 3600;
$Foswiki::cfg{MimeTypesFileName} = '$Foswiki::cfg{DataDir}/mime.types';
$Foswiki::cfg{Operators}{Query} = [ 'Foswiki::Query::OP_and', 'Foswiki::Query::OP_eq', 'Foswiki::Query::OP_lc', 'Foswiki::Query::OP_lte', 'Foswiki::Query::OP_not', 'Foswiki::Query::OP_ref', 'Foswiki::Query::OP_d2n', 'Foswiki::Query::OP_gte', 'Foswiki::Query::OP_length', 'Foswiki::Query::OP_lt', 'Foswiki::Query::OP_ob', 'Foswiki::Query::OP_uc', 'Foswiki::Query::OP_dot', 'Foswiki::Query::OP_gt', 'Foswiki::Query::OP_like', 'Foswiki::Query::OP_ne', 'Foswiki::Query::OP_or', 'Foswiki::Query::OP_where' ];
$Foswiki::cfg{Operators}{If} = [ 'Foswiki::If::OP_allows', 'Foswiki::If::OP_defined', 'Foswiki::If::OP_isempty','Foswiki::If::OP_ingroup', 'Foswiki::If::OP_isweb', 'Foswiki::If::OP_context', 'Foswiki::If::OP_dollar', 'Foswiki::If::OP_istopic' ];
$Foswiki::cfg{Plugins}{WebSearchPath} = '$Foswiki::cfg{SystemWebName},TWiki';
$Foswiki::cfg{PluginsOrder} = 'TWikiCompatibilityPlugin,SpreadSheetPlugin';
$Foswiki::cfg{Plugins}{PreferencesPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{PreferencesPlugin}{Module} = 'Foswiki::Plugins::PreferencesPlugin';
$Foswiki::cfg{Plugins}{SmiliesPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{SmiliesPlugin}{Module} = 'Foswiki::Plugins::SmiliesPlugin';
$Foswiki::cfg{Plugins}{CommentPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{CommentPlugin}{Module} = 'Foswiki::Plugins::CommentPlugin';
$Foswiki::cfg{Plugins}{SpreadSheetPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{SpreadSheetPlugin}{Module} = 'Foswiki::Plugins::SpreadSheetPlugin';
$Foswiki::cfg{Plugins}{InterwikiPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{InterwikiPlugin}{Module} = 'Foswiki::Plugins::InterwikiPlugin';
$Foswiki::cfg{Plugins}{TablePlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{TablePlugin}{Module} = 'Foswiki::Plugins::TablePlugin';
$Foswiki::cfg{Plugins}{EditTablePlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{EditTablePlugin}{Module} = 'Foswiki::Plugins::EditTablePlugin';
$Foswiki::cfg{Plugins}{SlideShowPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{SlideShowPlugin}{Module} = 'Foswiki::Plugins::SlideShowPlugin';
$Foswiki::cfg{Plugins}{TwistyPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{TwistyPlugin}{Module} = 'Foswiki::Plugins::TwistyPlugin';
$Foswiki::cfg{Plugins}{TinyMCEPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{TinyMCEPlugin}{Module} = 'Foswiki::Plugins::TinyMCEPlugin';
$Foswiki::cfg{Plugins}{WysiwygPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{WysiwygPlugin}{Module} = 'Foswiki::Plugins::WysiwygPlugin';
$Foswiki::cfg{Plugins}{TWikiCompatibilityPlugin}{Enabled} = 1;
$Foswiki::cfg{Plugins}{TWikiCompatibilityPlugin}{Module} = 'Foswiki::Plugins::TWikiCompatibilityPlugin';
$Foswiki::cfg{ExtensionsRepositories} = 'Foswiki.org=(http://foswiki.org/Extensions/,http://foswiki.org/pub/Extensions/)';

1;

